﻿using Harmony;
using System.Reflection;
using UnityEngine;

public class KeepInventory : Mod
{
    HarmonyInstance instance;
    public void Start()
    {
        instance = HarmonyInstance.Create("fr.tekgamer.keepinventory");
        instance.PatchAll(Assembly.GetExecutingAssembly());
        Debug.Log("Mod KeepInventory has been loaded!");
    }

    public void OnModUnload()
    {
        instance.UnpatchAll();
        Debug.Log("Mod KeepInventory has been unloaded!");
    }
}

[HarmonyPatch(typeof(DeathController))]
[HarmonyPatch("DropInventory")]
internal class Patch_DeathController
{
    public static bool Prefix(MenuInGame __instance)
    {
        return false;
    }
}